Page MenuHomePhabricator

The revision tag pops up a window in the wrong direction in an RTL environment
Closed, ResolvedPublic

Description

a screenshot in which the runaway box is seen

Go to any page in the main namespace of the Hebrew Wikisource, for example the one in the URL field. In the upper left corner there will be an icon with an eye (id="mw-fr-revisiontag"). When the user runs the mouse over it, a pop-up box opens, listing the status of the revision. It will open in the wrong direction, becoming almost impossible to actually be read.

I tested it on Windows XP, with Firefox 3.6, MSIE 8 and Chrome 10.0.614.


Version: unspecified
Severity: major
URL: http://he.wikisource.org/wiki/%D7%A2%D7%9C_%D7%94%D7%A1%D7%95%D7%A6%D7%99%D7%90%D7%9C%D7%99%D7%96%D7%9D

Attached:

Details

Reference
bz26414

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:14 PM
bzimport set Reference to bz26414.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Dec 24 2010, 2:11 PM

Hi Amir, thanks for the report. A workaround that I think will work is to put this in common.css for the site:

#mw-fr-revisiondetails {

left: -3px;
right: auto;

}

...and then reference this bug in the comments so that you all know to remove the workaround after the bug is fixed.

TheDJ added a comment.Jan 5 2011, 10:04 PM

@Rob, was this actually fixed in the code already or not ?

aaron added a comment.Jan 5 2011, 10:36 PM

(In reply to comment #2)

@Rob, was this actually fixed in the code already or not ?

It wasn't.

(In reply to comment #1)

Hi Amir, thanks for the report. A workaround that I think will work is to put
this in common.css for the site:
#mw-fr-revisiondetails {

left: -3px;
right: auto;

}
...and then reference this bug in the comments so that you all know to remove
the workaround after the bug is fixed.

This workaround worked, thank you.

aaron added a comment.Jan 8 2011, 7:58 PM

Fixed in r79872 (not live).

It seems that it happens again in he.wikisource after the 1.17 upgrade.

With the workaround in Comment 1 it worked well. After today's upgrade we deleted the workaround code from common.css and now the bug is back.

Some more details.

I tried it in other browsers and the results are quite weird. If i open it in Chrome after cleaning cache and cookies, it appears correctly. If i log in to any account, the display becomes broken. If i log out, it stays broken. If i clean cache and cookies again, it becomes good.

The above is correct only for Chrome. In Firefox it is always broken.

aaron added a comment.Feb 11 2011, 8:19 PM

I thought 1.17 was rolled back?

aaron added a comment.Feb 11 2011, 8:21 PM

(In reply to comment #9)

I thought 1.17 was rolled back?

Must be in one of the first deploy groups.

(In reply to comment #10)

(In reply to comment #9)

I thought 1.17 was rolled back?

Must be in one of the first deploy groups.

I specifically asked for it to be in the first wave of new deployment to test for possible RTL issues.

aaron added a comment.Feb 12 2011, 6:11 PM

I actually can't reproduce this now on my own wmf1.17 test wiki.

aaron added a comment.Feb 15 2011, 5:32 AM

the ".rtl div.flaggedrevs_short_details" CSS is making it to bits somehow...

aaron added a comment.Feb 15 2011, 5:32 AM

(In reply to comment #13)

the ".rtl div.flaggedrevs_short_details" CSS is making it to bits somehow...

That should be "isn't".

(In reply to comment #15)

Actually this file doesn't use bits, just
http://he.wikisource.org/w/extensions/FlaggedRevs/client/flaggedrevs.css.

Yeah, that'll do it. FlaggedRevs, like LiquidThreads, was assuming that $wgExtensionAssetsPath == "$wgScriptPath/extensions" , which breaks now that we have /extensions-1.17 for 1.17 wikis. I fixed that, and this bug is now fixed.

(In reply to comment #16)

(In reply to comment #15)

Actually this file doesn't use bits, just
http://he.wikisource.org/w/extensions/FlaggedRevs/client/flaggedrevs.css.

Yeah, that'll do it. FlaggedRevs, like LiquidThreads, was assuming that
$wgExtensionAssetsPath == "$wgScriptPath/extensions" , which breaks now that we
have /extensions-1.17 for 1.17 wikis. I fixed that, and this bug is now fixed.

Did you live hack it? You can just set $wgFlaggedRevsStylePath instead.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM